<?php
/**
 * Created by PhpStorm.
 * User: shahad
 * Date: 23/4/18
 * Time: 6:34 PM
 */
if (!session_id()) {
    session_start();
}
$wt_social_login_facebook_app_id = get_option('wt_social_login_facebook_app_id' );
$wt_social_login_facebook_app_secret = get_option('wt_social_login_facebook_app_secret' );
$wt_social_login_facebook_outh_url = get_option('wt_social_login_facebook_outh_url' );
require( WT_SOCIAL_LOGIN_BASEPATH . "vendor/autoload.php" );
if($wt_social_login_facebook_app_id && $wt_social_login_facebook_app_secret && $wt_social_login_facebook_outh_url) {


    $fb = new Facebook\Facebook( [
        'app_id'                => $wt_social_login_facebook_app_id, // Replace {app-id} with your app id
        'app_secret'            => $wt_social_login_facebook_app_secret,
        'default_graph_version' => 'v2.10'
    ] );


    $helper = $fb->getRedirectLoginHelper();

    $permissions = [ 'email' ]; // Optional permissions


    $loginUrl = $helper->getLoginUrl( $wt_social_login_facebook_outh_url, $permissions );
    $fb_url = htmlspecialchars( $loginUrl );
    echo "<a style='text-decoration: none' href='$fb_url'> <img style='display: inline' src='".plugin_dir_url( __FILE__ ) . '/images/sl-facebook.png'."'/> </a>";

    try {
        $accessToken = $helper->getAccessToken();
    } catch ( Facebook\Exceptions\FacebookResponseException $e ) {
        // When Graph returns an error
        //echo 'Graph returned an error: ' . $e->getMessage();
        //exit;
    } catch ( Facebook\Exceptions\FacebookSDKException $e ) {
        // When validation fails or other local issues
        //echo 'Facebook SDK returned an error: ' . $e->getMessage();
        //exit;
    }

    if ( ! isset( $accessToken ) ) {
        if ( $helper->getError() ) {
            header( 'HTTP/1.0 401 Unauthorized' );
            //echo "Error: " . $helper->getError() . "\n";
            //echo "Error Code: " . $helper->getErrorCode() . "\n";
            //echo "Error Reason: " . $helper->getErrorReason() . "\n";
            //echo "Error Description: " . $helper->getErrorDescription() . "\n";
        } else {
            header( 'HTTP/1.0 400 Bad Request' );
            //echo 'Bad request';
        }
        //exit;
    } else{

        // Logged in
        //echo '<h3>Access Token</h3>';
        $fb_access = $accessToken->getValue();

        $response = $fb->get( '/me?fields=id,email', $fb_access );
        $user = $response->getGraphUser();
        $platform = "facebook";
        $user_email = $user['email'];
        if ( $user_email ) {
            include 'SL_Login.php'; die;
        }
    }
} else {
    $fb_url = '?error=facebook';
    echo "<a style='text-decoration: none'  href='$fb_url'> <img style='display: inline' src='".plugin_dir_url( __FILE__ ) . '/images/sl-facebook.png'."'/> </a>";

}